%global commit fd22bee22274975c56f1c10d87ee9fd2c0818f83

Summary:    QFile extension with advisory locking functions
Name:       qtlockedfile
Version:    2.4
Release:    11%{?dist}
Group:      System Environment/Libraries
License:    GPLv3 or LGPLv2 with exceptions
URL:        http://doc.qt.digia.com/solutions/4/qtlockedfile/qtlockedfile.html
Source0:    https://qt.gitorious.org/qt-solutions/qt-solutions/archive/%{commit}.tar.gz
# Proposed upstream in https://codereview.qt-project.org/#/c/92414/
Source1:    qtlockedfile.prf
# Proposed upstream in https://codereview.qt-project.org/#/c/92411/
Source2:    LICENSE.GPL3
# Proposed upstream in https://codereview.qt-project.org/#/c/92411/
Source3:    LICENSE.LGPL
# Proposed upstream in https://codereview.qt-project.org/#/c/92411/
Source4:    LGPL_EXCEPTION

Patch0:     qtlockedfile-use-current-version.patch
# Proposed upstream in https://codereview.qt-project.org/#/c/92413/
Patch1:     qtlockedfile-dont-link-qtgui.patch
Patch2:     qtlockedfile-dont-build-example.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt4-devel
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

%package    devel
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   qt4-devel

%description    devel
This package contains libraries and header files for developing applications
that use QtLockedFile.

%prep
%setup -q -n qt-solutions-qt-solutions/%{name}
%patch0 -p0
%patch1 -p0
%patch2 -p0


%build
# Does not use GNU configure
./configure -library
%{_qt4_qmake}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# libraries
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -a lib/* $RPM_BUILD_ROOT%{_libdir}

# headers
mkdir -p $RPM_BUILD_ROOT%{_includedir}/QtSolutions
cp -a \
    src/qtlockedfile.h \
    src/QtLockedFile \
    $RPM_BUILD_ROOT%{_includedir}/QtSolutions

mkdir -p $RPM_BUILD_ROOT%{_qt4_datadir}/mkspecs/features
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_qt4_datadir}/mkspecs/features/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp %{SOURCE2} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp %{SOURCE3} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp %{SOURCE4} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
cp %{SOURCE2} $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
cp %{SOURCE3} $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
cp %{SOURCE4} $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README.TXT
%doc %{_docdir}/%{name}-%{version}
%{_qt4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc example
%doc %{_docdir}/%{name}-devel-%{version}
%{_qt4_libdir}/lib*.so
%{_qt4_headerdir}/QtSolutions/
%{_qt4_datadir}/mkspecs/features/%{name}.prf

%changelog
* Mon Aug 18 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 2.4-11
- Fedpkg rebuild

* Thu Aug 14 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 2.4-10
- Fix conflicting license files

* Thu Aug 14 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 2.4-9
- Update to Digia's repository

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 16 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> 2.4-2
- Remove unnecessary linkage to libQtGui

* Thu Apr 15 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> 2.4-1
- Initial Fedora package.
